Get sources summary
curl --request GET \
--url https://apigcp.trynia.ai/v2/sources-summary \
--header 'Authorization: Bearer <token>'import requests
url = "https://apigcp.trynia.ai/v2/sources-summary"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://apigcp.trynia.ai/v2/sources-summary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"repositories": {
"count": 0,
"names": [
"<string>"
]
},
"documentation": {
"count": 0,
"names": [
"<string>"
]
},
"research_papers": {
"count": 0,
"names": [
"<string>"
]
},
"huggingface_datasets": {
"count": 0,
"names": [
"<string>"
]
},
"local_folders": {
"count": 0,
"names": [
"<string>"
]
},
"slack": {
"count": 0,
"names": [
"<string>"
]
},
"google_drive": {
"count": 0,
"names": [
"<string>"
]
},
"x": {
"count": 0,
"names": [
"<string>"
]
}
}Usage
Get sources summary
Get counts and recent names for all source types. Designed for quick inventory checks.
GET
/
sources-summary
Get sources summary
Authorizations
API key must be provided in the Authorization header
Response
200 - application/json
Successful Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I

